#pragma once
#ifndef __WIN32_MUTEX_H__
#define __WIN32_MUTEX_H__

#include <Windows.h>
#include <string>

using namespace std; 

class KMutex
{
public:
	KMutex(string name);
	virtual ~KMutex();
	bool create(string name="");
	void open(string name="");
	void close();
	void lock();
	void unlock();

private:
	string m_MutexName;
	HANDLE m_hKeyMutex;

};

#endif
